mwc-random-0.15.2.0: Fast, high quality pseudo random number generation

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Random.MWC.SeedSource

Description

Low level source of random values for seeds. It should work on both unices and windows

Synopsis

- acquireSeedSystem :: Storable a => Int -> IO [a]
- acquireSeedTime :: IO [Word32]
- randomSourceName :: String

# Documentation

acquireSeedSystem :: Storable a => Int -> IO [a] Source #

Acquire seed from the system entropy source. On Unix machines, this will attempt to use `devurandom`. On Windows, it will internally use `RtlGenRandom`.

acquireSeedTime :: IO [Word32] Source #

randomSourceName :: String Source #

Name of source of randomness. It should be used in error messages